# Introduction to Git

## What is Git?

Git is a distributed version control system designed to handle everything from small to very large projects with speed and efficiency. It is used to track changes in source code during software development, enabling multiple developers to work together on non-linear development.

## Key Features of Git

- **Distributed Version Control**: Each developer has a full copy of the project, including its history, which means work can be done offline and later synced with the central repository.
- **Branching and Merging**: Git allows the creation of branches to experiment with new features. These branches can be merged back into the main branch when the feature is ready.
- **Fast and Lightweight**: Git is designed to be fast and efficient, even for large projects.
- **Data Integrity**: Every file and commit is checksummed, ensuring the integrity of your code.

## Basic Git Commands

- `git init`: Initializes a new Git repository.
- `git clone [url]`: Clones a repository from a remote server.
- `git add [file]`: Stages a file for commit.
- `git commit -m "[commit message]"`: Commits the staged changes with a message.
- `git push`: Pushes commits to a remote repository.
- `git pull`: Fetches and merges changes from a remote repository.

## Getting Started

To start using Git, first [install it](https://git-scm.com/downloads) on your machine. Then, set up your user name and email with the following commands:

```bash
git config --global user.name "Your Name"
git config --global user.email "your.email@example.com"

